Interface BatchingConfigProtoOrBuilder (2.72.0)

public interface BatchingConfigProtoOrBuilder extends MessageOrBuilder

Implements

MessageOrBuilder

Methods

getBatchDescriptor()

public abstract BatchingDescriptorProto getBatchDescriptor()

The request and response fields used in batching.

.google.api.BatchingDescriptorProto batch_descriptor = 2;

Returns
Type Description
BatchingDescriptorProto

The batchDescriptor.

getBatchDescriptorOrBuilder()

public abstract BatchingDescriptorProtoOrBuilder getBatchDescriptorOrBuilder()

The request and response fields used in batching.

.google.api.BatchingDescriptorProto batch_descriptor = 2;

Returns
Type Description
BatchingDescriptorProtoOrBuilder

getThresholds()

public abstract BatchingSettingsProto getThresholds()

The thresholds which trigger a batched request to be sent.

.google.api.BatchingSettingsProto thresholds = 1;

Returns
Type Description
BatchingSettingsProto

The thresholds.

getThresholdsOrBuilder()

public abstract BatchingSettingsProtoOrBuilder getThresholdsOrBuilder()

The thresholds which trigger a batched request to be sent.

.google.api.BatchingSettingsProto thresholds = 1;

Returns
Type Description
BatchingSettingsProtoOrBuilder

hasBatchDescriptor()

public abstract boolean hasBatchDescriptor()

The request and response fields used in batching.

.google.api.BatchingDescriptorProto batch_descriptor = 2;

Returns
Type Description
boolean

Whether the batchDescriptor field is set.

hasThresholds()

public abstract boolean hasThresholds()

The thresholds which trigger a batched request to be sent.

.google.api.BatchingSettingsProto thresholds = 1;

Returns
Type Description
boolean

Whether the thresholds field is set.